jQuery(document).ready(function($){
	"use strict";

	$('select').on('change', function() {
		var id = $(this).attr('id')+"_preview";
		var img_url = $('option:selected', this).data('img');
		$("#"+id+' .preview_image').attr("src",img_url);
	});

	$(window).on('load', function(){
		jQuery('.newtick-settings-content .notice').remove();
	});


	$('.color_pallete').wpColorPicker();
	

	$(function() {
		var scntDiv = $('#firecall_agent_list_wrap');
		var i = $('#firecall_agent_list_wrap div.agent_list_item').size();

		$('#addagent').parent('h2').on('click', function() {
			$('<div class="agent_list_item"><div class="agent_box_heading"><h2>Agent Details</h2></div><h2 class="remove_agent_title"><a class="removeagent">Remove Agent</a></h2><div class="agent_image"><div class="agent_image_input_box"><h2>Agent Image</h2><img src="'+firecallpath+'images/user-image.png" class="agent_image"><input type="hidden" name="firecall_agent_list['+i+'][firecall_ar_image]" class="regular-text agent_img_val" value="'+firecallpath+'images/user-image.png"></div><div class="agent_upload_input_box"><input type="button" name="upload-btn" class="agent_img_upload" value="Upload Image"><p class="fc_image_desc">* Image Dimension should be 60*60 pixel.</p></div></div><div class="agent_box_content"><div class="agent_input_box"><h2>Agent Name</h2><input type="text" class="firecall_agent_list" size="20" name="firecall_agent_list['+i+'][firecall_ar_name]" value="" placeholder="Name" /></div><div class="agent_input_box"><h2>Agent Position</h2><input type="text" name="firecall_agent_list['+i+'][firecall_ar_position]" placeholder="Position" /></div><div class="agent_input_box"><h2>Agent Description</h2><input type="textarea" name="firecall_agent_list['+i+'][firecall_ar_description]" placeholder="Description" /></div><div class="agent_input_box"><h2>Agent Contact Number</h2><input type="tel" name="firecall_agent_list['+i+'][firecall_ar_telephone]" placeholder="Telephone" /></div></div></div>').appendTo(scntDiv);
			i++;
			return false;
		});

		$(document).on('click','.remove_agent_title', function() { 
			if( (i + 1) > 2 ) {
				$(this).parents('.agent_list_item').remove();
				i--;
			}
			return false;
		});
	});

	$(document).on('click', '.agent_img_upload', function(e) {
		console.log('gf');
		e.preventDefault();
		var tparent = $(this).parents('.agent_list_item');
		var image = wp.media({ 
			title: 'Upload Image',
			multiple: false
		}).open()
		.on('select', function(e){

			var uploaded_image = image.state().get('selection').first();

			var image_url = uploaded_image.toJSON().url;

			tparent.find('.agent_img_val').val(image_url);
			tparent.find('.agent_image').attr('src',image_url);

		});
	});
	
});


