<?php
/**
 * Plugin Name: Fire Call
 * Plugin URI: https://themeforest.net/user/the_krishna
 * Description: Provides a Various Layouts for Call options.
 * Version: 1.0.0
 * Author: 20script
 * Author URI: https://www.20script.ir
 * Text Domain: firecall 
 *
 * @package Firecall
 */
if ( ! defined( 'WPINC' ) ) {
	die;
}


if ( ! defined( 'FIRECALL_PLUGIN_FILE' ) ) {
	define( 'FIRECALL_PLUGIN_FILE', plugin_dir_url( __FILE__ ) );
}
if ( ! defined( 'FIRECALL_PLUGIN_PATH' ) ) {
    define( 'FIRECALL_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
}
if( !defined('FIRECALL_IMG_PATH')){
    define( 'FIRECALL_IMG_PATH',  plugin_dir_url( __FILE__ ).'public/assets/images/' );
}
if( !defined('FIRECALL_PUBLIC_PATH')){
    define( 'FIRECALL_PUBLIC_PATH',  plugin_dir_url( __FILE__ ).'public/' );
}
if( !defined('FIRECALL_PLUGIN_SLUG')){
    define( 'FIRECALL_PLUGIN_SLUG',  'firecall' );
}
/**
 * Currently plugin version.
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'FIRECALL_VERSION', '1.0.0' );

if (!function_exists('is_plugin_active')) {
    include_once(ABSPATH . 'wp-admin/includes/plugin.php');
}
require_once(ABSPATH."/wp-includes/pluggable.php");
require_once('admin/firecall-admin.php');
require_once('public/class-firecall-public.php');